using System.Numerics;

namespace Luski.Classes.Attribs.NumberSlider;

[AttributeUsage(AttributeTargets.Property)]
public class NumberMin<TNumber> : Attribute where TNumber : INumber<TNumber>
{
    public NumberMin(TNumber min)
    {
        Min = min;
    }
    
    public TNumber Min { get; init; }
}